| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::io::xmlChar< T > Struct Template Reference

`#include <irrXML.h>`

List of all members.

## Public Member Functions

- xmlChar ()
- xmlChar (char in)
- xmlChar (wchar_t in)
- xmlChar (unsigned char in)
- xmlChar (unsigned short in)
- xmlChar (unsigned int in)
- xmlChar (unsigned long in)
- operator T () const
- void operator= (int t)

## Public Attributes

- T c

## Detailed Description

### template<typename T>
struct irr::io::xmlChar< T >

Definition at line 371 of file irrXML.h.

## Constructor & Destructor Documentation

template<typename T >

irr::io::xmlChar< T >::xmlChar | ( |  | ) | `[inline]`

Definition at line 374 of file irrXML.h.

template<typename T >

irr::io::xmlChar< T >::xmlChar | ( | char | in | ) | `[inline]`

Definition at line 375 of file irrXML.h.

template<typename T >

irr::io::xmlChar< T >::xmlChar | ( | wchar_t | in | ) | `[inline]`

Definition at line 376 of file irrXML.h.

template<typename T >

irr::io::xmlChar< T >::xmlChar | ( | unsigned char | in | ) | `[inline, explicit]`

Definition at line 385 of file irrXML.h.

template<typename T >

irr::io::xmlChar< T >::xmlChar | ( | unsigned short | in | ) | `[inline, explicit]`

Definition at line 386 of file irrXML.h.

template<typename T >

irr::io::xmlChar< T >::xmlChar | ( | unsigned int | in | ) | `[inline, explicit]`

Definition at line 387 of file irrXML.h.

template<typename T >

irr::io::xmlChar< T >::xmlChar | ( | unsigned long | in | ) | `[inline, explicit]`

Definition at line 388 of file irrXML.h.

## Member Function Documentation

template<typename T >

irr::io::xmlChar< T >::operator T | ( |  | ) | const`[inline]`

Definition at line 390 of file irrXML.h.

References irr::io::xmlChar< T >::c.

template<typename T >

void irr::io::xmlChar< T >::operator= | ( | int | t | ) | `[inline]`

Definition at line 391 of file irrXML.h.

References irr::io::xmlChar< T >::c.

## Member Data Documentation

template<typename T >

T irr::io::xmlChar< T >::c

Definition at line 373 of file irrXML.h.

Referenced by irr::io::xmlChar< T >::operator T(), and irr::io::xmlChar< T >::operator=().

The documentation for this struct was generated from the following file:

- irrXML.h